REM Running the sample code

REM This is three examples rolled into one - you do not need to run all these steps.

REM Step 1, step 2, Step 3a = convert to Excel format using file compression tool
REM Step 1, step 2, Step 3b = convert to Excel format using Java compression API
REM Step 1, step 4 = convert XML to table format, and then show as HTML

REM Step 1 - tabulate the data
REM The input is any XML file
REM The tabulation is specified by the file identified by the tableSpecificationFileName parameter

"%JAVA_HOME%/bin/java" -cp xalan.jar org.apache.xalan.xslt.Process -IN sample_input.xml -XSL tabulate.xsl -OUT sample_tabulated.xml -PARAM tableSpecificationFileName tabulate_specification_sample.xml

REM Step 2 - convert the tabulated data into a format compatible with Excel 2007, but in a single file

"%JAVA_HOME%/bin/java" -cp xalan.jar org.apache.xalan.xslt.Process -IN sample_tabulated.xml -XSL tabulated_to_xl.xsl -OUT sample_xl.xml

REM Step 3a - expand the file to a directory structure (use another tool to zip this up)
REM The output directory is identified the the outputDirectory parameter
REM You need to zip all the files in this into a single zip file, with an xlsx extension
REM The output file (sample_file_list.xml) is just a list of what has been written out, and can be ignored

"%JAVA_HOME%/bin/java" -cp xalan.jar org.apache.xalan.xslt.Process -IN sample_xl.xml -XSL xml_to_dir.xsl -OUT sample_file_list.xml -PARAM outputDirectory sample

REM Step 3b - compress directly using Java
REM Uncomment the next line to compile the code your self
REM "%JAVA_HOME%/bin/javac" XMLToZip.java
"%JAVA_HOME%/bin/java" XMLToZip sample_xl.xml sample_xl.xlsx

REM Step 4 - Produce HTML from tabulated data
"%JAVA_HOME%/bin/java" -cp xalan.jar org.apache.xalan.xslt.Process -IN sample_tabulated.xml -XSL tabulated_to_html.xsl -OUT sample_html.html

